kopf: Upgrade kopf to at least 1.35.0

Upgrade from 1.30.* to 1.35.0 or later.  The minimum bound is
introduced because earlier versions of kopf may not work correctly
with the operator.

Change-Id: I2b40e223f48aca6f45d901e1cc1ee67cf27e486f
changes/85/853585/6
Michael Kelly 6 months ago
parent ab00ececc4
commit 4f51fc7da3
No known key found for this signature in database
GPG Key ID: 77F7FE93040ECF3E

@ -1,5 +1,5 @@
pbr
kopf<1.31.0
kopf>=1.35.0
kubernetes
jinja2
pymysql

@ -14,7 +14,7 @@
import argparse
from kopf.engines import loggers
import kopf
from zuul_operator import ZuulOperator
@ -38,10 +38,10 @@ class ZuulOperatorCommand:
args = parser.parse_args()
# Use kopf's loggers since they carry object data
loggers.configure(debug=False, verbose=args.debug,
quiet=False,
log_format=loggers.LogFormat['FULL'],
log_refkey=None, log_prefix=None)
kopf.configure(debug=False, verbose=args.debug,
quiet=False,
log_format=kopf.LogFormat['FULL'],
log_refkey=None, log_prefix=None)
self.op.run()

Loading…
Cancel
Save